curl --request GET \
--url https://api.aisa.one/apis/v1/polymarket/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/polymarket/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/polymarket/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/polymarket/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/polymarket/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/polymarket/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/polymarket/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"transactionID": "0190b317-a1d3-7bec-9b91-eeb6dcd3a620",
"transactionHash": "0x38cbfbeae8fffa4e2b187ee5978d3ee9cafc53af0363ed90a35b7ea9016535d8",
"from": "0x6e0c80c90ea6c15917308f820eac91ce2724b5b5",
"to": "0x2791bca1f2de4661ed88a30c99a7a9449aa84174",
"proxyAddress": "0x6d8c4e9adf5748af82dabe2c6225207770d6b4fa",
"data": "0x...",
"nonce": "60",
"value": "",
"signature": "0x01a060c734d7bdf4adde50c4a7e574036b1f8b12890911bdd1c1cfdcd77502381b89fa8a47c36f62a0b9f1cdfee7b260fd8108536db9f6b2089c02637e7de9fc20",
"state": "STATE_CONFIRMED",
"type": "SAFE",
"owner": "0x6e0c80c90ea6c15917308f820eac91ce2724b5b5",
"metadata": "",
"createdAt": "2024-07-14T21:13:08.819782Z",
"updatedAt": "2024-07-14T21:13:46.576639Z"
},
{
"transactionID": "0190a792-b5be-7cad-9eae-9941f2b47ebf",
"transactionHash": "0x0b2ff276b65382fc5593cdd965168c878006684a7fc8d2d011eddeddccd87335",
"from": "0x6e0c80c90ea6c15917308f820eac91ce2724b5b5",
"to": "0x2791bca1f2de4661ed88a30c99a7a9449aa84174",
"proxyAddress": "0x6d8c4e9adf5748af82dabe2c6225207770d6b4fa",
"data": "0x...",
"nonce": "58",
"value": "",
"signature": "0x9d99a48b6552183dc44018dbbab0e196fa59511e5661b961416e93138870814f3c474367362524ccc6865a8558f2543cc8e1b2e7336e39e6cdb4ad6f09d0db6a20",
"state": "STATE_CONFIRMED",
"type": "SAFE",
"owner": "0x6e0c80c90ea6c15917308f820eac91ce2724b5b5",
"metadata": "",
"createdAt": "2024-07-12T15:32:08.254831Z",
"updatedAt": "2024-07-12T15:32:45.265257Z"
}
]Get recent transactions for a user
Gets the most recent transactions submitted to the Relayer, owned by a specific user. Authenticated using Builder API Keys or Relayer API Keys.
curl --request GET \
--url https://api.aisa.one/apis/v1/polymarket/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/polymarket/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/polymarket/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/polymarket/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/polymarket/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/polymarket/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/polymarket/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"transactionID": "0190b317-a1d3-7bec-9b91-eeb6dcd3a620",
"transactionHash": "0x38cbfbeae8fffa4e2b187ee5978d3ee9cafc53af0363ed90a35b7ea9016535d8",
"from": "0x6e0c80c90ea6c15917308f820eac91ce2724b5b5",
"to": "0x2791bca1f2de4661ed88a30c99a7a9449aa84174",
"proxyAddress": "0x6d8c4e9adf5748af82dabe2c6225207770d6b4fa",
"data": "0x...",
"nonce": "60",
"value": "",
"signature": "0x01a060c734d7bdf4adde50c4a7e574036b1f8b12890911bdd1c1cfdcd77502381b89fa8a47c36f62a0b9f1cdfee7b260fd8108536db9f6b2089c02637e7de9fc20",
"state": "STATE_CONFIRMED",
"type": "SAFE",
"owner": "0x6e0c80c90ea6c15917308f820eac91ce2724b5b5",
"metadata": "",
"createdAt": "2024-07-14T21:13:08.819782Z",
"updatedAt": "2024-07-14T21:13:46.576639Z"
},
{
"transactionID": "0190a792-b5be-7cad-9eae-9941f2b47ebf",
"transactionHash": "0x0b2ff276b65382fc5593cdd965168c878006684a7fc8d2d011eddeddccd87335",
"from": "0x6e0c80c90ea6c15917308f820eac91ce2724b5b5",
"to": "0x2791bca1f2de4661ed88a30c99a7a9449aa84174",
"proxyAddress": "0x6d8c4e9adf5748af82dabe2c6225207770d6b4fa",
"data": "0x...",
"nonce": "58",
"value": "",
"signature": "0x9d99a48b6552183dc44018dbbab0e196fa59511e5661b961416e93138870814f3c474367362524ccc6865a8558f2543cc8e1b2e7336e39e6cdb4ad6f09d0db6a20",
"state": "STATE_CONFIRMED",
"type": "SAFE",
"owner": "0x6e0c80c90ea6c15917308f820eac91ce2724b5b5",
"metadata": "",
"createdAt": "2024-07-12T15:32:08.254831Z",
"updatedAt": "2024-07-12T15:32:45.265257Z"
}
]Cost and request rules
Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.012
- Cost contract: fixed_success
- Settlement evidence source: request_snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Builder API key (when using Builder API Key auth)
Builder passphrase (when using Builder API Key auth)
HMAC-SHA256 signature (when using Builder API Key auth)
Unix timestamp (when using Builder API Key auth)
Relayer API key (when using Relayer API Key auth)
Address that owns the key (when using Relayer API Key auth) Ethereum address (0x-prefixed, 40 hex chars)
^0x[a-fA-F0-9]{40}$"0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5"
Response
Transactions retrieved successfully
Unique identifier for the transaction
"0190b317-a1d3-7bec-9b91-eeb6dcd3a620"
Onchain transaction hash (available once confirmed)
"0x38cbfbeae8fffa4e2b187ee5978d3ee9cafc53af0363ed90a35b7ea9016535d8"
Ethereum address (0x-prefixed, 40 hex chars)
^0x[a-fA-F0-9]{40}$"0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5"
Ethereum address (0x-prefixed, 40 hex chars)
^0x[a-fA-F0-9]{40}$"0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5"
Ethereum address (0x-prefixed, 40 hex chars)
^0x[a-fA-F0-9]{40}$"0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5"
Encoded transaction data (0x-prefixed hex string)
"0x..."
Transaction nonce
"60"
Transaction value
""
Transaction signature (0x-prefixed hex string)
"0x01a060c734d7bdf4adde50c4a7e574036b1f8b12890911bdd1c1cfdcd77502381b89fa8a47c36f62a0b9f1cdfee7b260fd8108536db9f6b2089c02637e7de9fc20"
Current state of the transaction
STATE_NEW, STATE_EXECUTED, STATE_MINED, STATE_CONFIRMED, STATE_INVALID, STATE_FAILED "STATE_CONFIRMED"
Transaction type
SAFE, PROXY "SAFE"
Ethereum address (0x-prefixed, 40 hex chars)
^0x[a-fA-F0-9]{40}$"0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5"
Transaction metadata
""
Timestamp when the transaction was created
"2024-07-14T21:13:08.819782Z"
Timestamp when the transaction was last updated
"2024-07-14T21:13:46.576639Z"